Subject: [bug#27635] [PATCH] gnu: emacs: Build with imagemagick support.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 11 Jul 2017 16:42:47 +0200

Alex Vong <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Arun Isaac <[email-masked]> skribis:
>>
>>> Ludovic Courtès writes:
>>>
>>>> There a few big packages showing up in the profile; we should try to
>>>> make them smaller, perhaps by introducing separate outputs:
>>>> Thoughts?
>>>
>>> I have to go through the dependency tree carefully to figure out which
>>> package to split. Do you have any suggestions off the bat?
>>
>> ImageMagick and Graphviz are pretty big.  For the latter, ISTR there are
>> a couple of executables that are surprisingly big; perhaps the solution
>> would be to figure out why it is the case and strip them somehow, if
>> possible.
>>
>> Ghostscript and icu4c are also rather big.
>>
> How about making a tiny version of imagemagick excluding ghostscript?
> The emacs manual[0] says ghostscript is a hard requirement for
> postscript files. If users don't need to render postscript files, then
> we don't need it, right?

As someone who uses DocView, I’d like to keep it.  :-)

In general I think we should work more on making our packages smaller,
but not at the cost of useful features.

Ludo’.